<!DOCTYPE html>
<html
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="~{layouts/default.html}"
>
  <head>
    <!-- Primary Meta Tags -->
    <meta name="title" content="My Task" />
    <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">My Task</title>
  </head>
  <body>
    <div
      class="container max-w-screen-lg mx-auto px-4"
      layout:fragment="content"
    >
      <div class="flex flex-wrap flex-row md:flex-row-reverse mt-16">
        <div class="basis-full lg:basis-8/12">
          <!--Task Menu Navigation-->
          <div class="horizontalNavMenu">
            <a
              th:href="@{'/home'}"
              type="button"
              class="text-gray-900 bg-gray-100 hover:text-white hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center"
              >Task Today</a
            >
            <!--        <a th:href="@{'/task/all'}" type="button" class="text-gray-900 bg-gray-100 hover:text-white hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center">All Task</a>-->
<!--            <a-->
<!--              th:href="@{'/task/history'}"-->
<!--              type="button"-->
<!--              class="text-gray-900 bg-gray-100 hover:text-white hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center"-->
<!--              >History</a-->
<!--            >-->
          </div>
          <br />
          <!--End Task Menu Navigation-->
          <p
            class="text-base text-gray-500 mt-4 mb-2"
            th:text="${'Your Tasks On ' + #dates.format(#dates.createNow(), 'EEEE, dd MMMM yyyy')} + '&nbsp;'"
          >
            28 February 2023
          </p>
          <hr class="mb-6 border-gray-200 mx-auto" />

          <ul
            th:if="(listEmployeeTasks != null)"
            th:each="dataSchedule, row : ${listEmployeeTasks}"
          >
            <!--Task today item-->
            <li>
              <!--Task Name-->
              <div
                th:if="${listEmployeeTasks != null && dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch() == dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch().NONAKTIF}"
                class="flex items-center mb-4 bg-gray-100 hover:bg-gray-200 rounded-md cursor-pointer p-4 my-4"
                th:attr="data-modal-target='modal-default'+${dataSchedule.getId()}, data-modal-toggle='modal-default'+${dataSchedule.getId()}"
              >
                <input
                  id="taskId-123"
                  th:if="${dataSchedule.getStatus().toString().equals('WAITING')}"
                  type="checkbox"
                  value=""
                  disabled
                  class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <input
                  id="taskId-1234"
                  th:if="${dataSchedule.getStatus().toString().equals('DONE')}"
                  type="checkbox"
                  value=""
                  checked
                  disabled
                  class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <label
                  th:if="${listEmployeeTasks != null}"
                  for="taskId-123"
                  class="ml-2 text-sm font-medium text-gray-900"
                  th:text="${dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleName() + ' - Aktif Sampai pukul 0:00 PM'}"
                  >Shalat Tahajud</label
                >
              </div>


              <div
                      th:if="${listEmployeeTasks != null && dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch() == dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch().AKTIF && #dates.createNow().after(dataSchedule.getDateTasks() + ' ' + dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeStart()) && #dates.createNow().before(dataSchedule.getDateTasks() + ' ' + dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeEnd())}"
                      class="flex items-center mb-4 bg-gray-100 hover:bg-gray-200 rounded-md cursor-pointer p-4 my-4"
                      th:attr="data-modal-target='modal-default'+${dataSchedule.getId()}, data-modal-toggle='modal-default'+${dataSchedule.getId()}"
              >
                <input
                        id="taskId-222"
                        th:if="${dataSchedule.getStatus().toString().equals('WAITING')}"
                        type="checkbox"
                        value=""
                        disabled
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <input
                        id="taskId-333"
                        th:if="${dataSchedule.getStatus().toString().equals('DONE')}"
                        type="checkbox"
                        value=""
                        checked
                        disabled
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <label
                        th:if="${listEmployeeTasks != null}"
                        for="taskId-222"
                        class="ml-2 text-sm font-medium text-gray-900"
                        th:text="${dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleName() + ' - Aktif sampai pukul '+ dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeEnd()}"
                >Shalat Tahajud</label
                >
              </div>


              <div
                      th:if="${listEmployeeTasks != null && dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch() == dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch().AKTIF && #dates.createNow().before(dataSchedule.getDateTasks() + ' ' +dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeStart())}"
                      class="flex items-center mb-4 bg-gray-100 hover:bg-gray-200 rounded-md cursor-pointer p-4 my-4 bg-amber-300"
              >
                <input
                        id="taskId-444"
                        th:if="${dataSchedule.getStatus().toString().equals('WAITING')}"
                        type="checkbox"
                        value=""
                        disabled
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <input
                        id="taskId-3333"
                        th:if="${dataSchedule.getStatus().toString().equals('DONE')}"
                        type="checkbox"
                        value=""
                        checked
                        disabled
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <label
                        th:if="${listEmployeeTasks != null}"
                        for="taskId-444"
                        class="ml-2 text-sm font-medium text-gray-900"
                        th:text="${dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleName() + ' - Aktif pada pukul ' +dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeStart() + ' s/d ' + dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeEnd()}"
                >Shalat Tahajud</label
                >
              </div>

              <div
                      th:if="${listEmployeeTasks != null && dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch() == dataSchedule.getEmployeeTasks().getScheduleEvent().getMustMatch().AKTIF && #dates.createNow().after(dataSchedule.getDateTasks() + ' ' +dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeEnd())}"
                      class="flex items-center mb-4 bg-gray-100 hover:bg-gray-200 rounded-md cursor-pointer p-4 my-4 bg-blue-50"
              >
                <input
                        id="taskId-555"
                        th:if="${dataSchedule.getStatus().toString().equals('WAITING')}"
                        type="checkbox"
                        value=""
                        disabled
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <input
                        id="taskId-5555"
                        th:if="${dataSchedule.getStatus().toString().equals('DONE')}"
                        type="checkbox"
                        value=""
                        checked
                        disabled
                        class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <label
                        th:if="${listEmployeeTasks != null}"
                        for="taskId-555"
                        class="ml-2 text-sm font-medium text-gray-900"
                        th:text="${dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleName() + ' - Telah ditutup pada pukul ' + dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleTimeEnd()}"
                >Shalat Tahajud</label
                >
              </div>
              <!--End Task Name-->
              <!--Modal Task Input-->
              <div
                      th:if="${listEmployeeTasks != null}"
                th:id="modal-default+${dataSchedule.getId()}"
                tabindex="-1"
                aria-hidden="true"
                class="fixed top-0 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-modal md:h-full"
              >
                <div class="relative w-full h-full max-w-2xl md:h-auto">
                  <!-- Modal content -->
                  <div
                    class="relative bg-white rounded-lg shadow dark:bg-gray-700"
                  >
                    <!-- Modal header -->
                    <div
                      class="flex items-start justify-between p-4 border-b rounded-t dark:border-gray-600"
                    >
                      <!--Task Name-->
                      <h3
                              th:if="${listEmployeeTasks != null}"
                        class="text-xl font-semibold text-gray-900 dark:text-white"
                        th:text="${dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleName()}"
                      >
                        Shalat Tahajud
                      </h3>
                      <!--close btn-->
                      <button
                        type="button"
                        class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center dark:hover:bg-gray-600 dark:hover:text-white"
                        th:attr="data-modal-hide='modal-default'+${dataSchedule.getId()}"
                      >
                        <svg
                          aria-hidden="true"
                          class="w-5 h-5"
                          fill="currentColor"
                          viewBox="0 0 20 20"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            fill-rule="evenodd"
                            d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                            clip-rule="evenodd"
                          ></path>
                        </svg>
                        <span class="sr-only">Close modal</span>
                      </button>
                    </div>
                    <!-- Modal body -->
                    <form
                            th:if="${listEmployeeTasks != null}"
                      th:action="@{/savepresensi(employeeTasksSchedule=${dataSchedule.getId()})}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <div class="p-6 space-y-6">
                        <!--Task Description-->
                        <p
                                th:if="${listEmployeeTasks != null}"
                          class="text-base leading-relaxed text-gray-500"
                          th:text="${dataSchedule.getEmployeeTasks().getScheduleEvent().getScheduleDescription()}"
                        >
                          Melakukan shalat tahajud setiap hari, absen shalat
                          tahajud dapat dilakukan mulai puku 1 sampai pukul 4
                          pagi.
                        </p>
                        <div class="my-1 p-0">
                          <label
                            for="note-123"
                            class="block mb-2 text-sm font-medium text-gray-900"
                            >Note</label
                          >
                          <textarea
                                  th:if="${listEmployeeTasks != null}"
                            id="note-123"
                            name="description"
                            th:value="${dataSchedule.getDescription()}"
                            th:text="${dataSchedule.getDescription()}"
                            rows="4"
                            class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500"
                            placeholder="Write your notes here..."
                          ></textarea>
                        </div>
                        <div class="flex items-center my-1 p-0">
                          <input
                                  th:if="${listEmployeeTasks != null}"
                            id="done-123"
                            name="status"
                            type="checkbox"
                            th:value="${dataSchedule.getStatus().toString()}"
                            value="DONE"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                          />
                          <label
                            for="done-123"
                            class="ml-2 text-sm font-medium text-gray-900"
                            >Done</label
                          >
                        </div>
                        <!--kalo dibutuhkan proof ditampilkan-->
                        <div
                          class="my-1 p-0"
                          th:if="${dataSchedule.getEmployeeTasks().getScheduleEvent().getUploadPicture().toString().equals('AKTIF')}"
                        >
                          <label
                            class="block mb-2 text-sm font-medium text-gray-900"
                            for="proof-123"
                            >Upload Proof</label
                          >
                          <input
                            type="file"
                            name="fileUpload"
                            class="block w-full text-sm text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 focus:outline-none"
                            id="proof-123"
                          />
                        </div>
                      </div>
                      <div
                        class="flex items-center p-6 space-x-2 border-t border-gray-200 rounded-b dark:border-gray-600"
                      >
                        <button
                          type="submit"
                          class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center"
                        >
                          Submit
                        </button>
                        <button
                                th:if="${listEmployeeTasks != null}"
                          th:attr="data-modal-hide='modal-default'+${dataSchedule.getId()}"
                          type="button"
                          class="text-gray-500 bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10"
                        >
                          Close
                        </button>
                      </div>
                    </form>
                    <!--end modal body-->
                  </div>
                </div>
              </div>
              <!--End Modal Task Input-->
            </li>
          </ul>
          <br />

          <p
            class="text-base text-gray-500 mt-4 mb-2"
            th:text="${'Your Event On ' + #dates.format(#dates.createNow(), 'EEEE, dd MMMM yyyy')} + '&nbsp;'"
          >
            28 February 2023
          </p>
          <hr class="mb-6 border-gray-200 mx-auto" />
          <ul
            th:if="(listScheduleEvent != null)"
            th:each="dataScheduleEvent, row : ${listScheduleEvent}"
          >
            <!--Task today item-->
            <li>
              <!--Task Name-->
              <div
                th:if="(listScheduleEvent != null)"
                class="flex items-center mb-4 bg-gray-100 hover:bg-gray-200 rounded-md cursor-pointer p-4 my-4"
                th:attr="data-modal-target='modal-default'+${dataScheduleEvent.getId()}, data-modal-toggle='modal-default'+${dataScheduleEvent.getId()}"
              >
                <input
                  id="taskId-1231"
                  th:if="${dataScheduleEvent.getStatusAbsen().toString().equals('WAITING')}"
                  type="checkbox"
                  value=""
                  disabled
                  class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <input
                  id="taskId-12341"
                  th:if="${dataScheduleEvent.getStatusAbsen().toString().equals('DONE')}"
                  type="checkbox"
                  value=""
                  checked
                  disabled
                  class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                />
                <label
                  th:if="(listScheduleEvent != null)"
                  for="taskId-1231"
                  class="ml-2 text-sm font-medium text-gray-900"
                  th:text="${dataScheduleEvent.getScheduleName()}"
                  >Shalat Tahajud</label
                >
              </div>
              <!--End Task Name-->
              <!--Modal Task Input-->
              <div
                th:if="(listScheduleEvent != null)"
                th:id="modal-default+${dataScheduleEvent.getId()}"
                tabindex="-1"
                aria-hidden="true"
                class="fixed top-0 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-modal md:h-full"
              >
                <div class="relative w-full h-full max-w-2xl md:h-auto">
                  <!-- Modal content -->
                  <div
                    class="relative bg-white rounded-lg shadow dark:bg-gray-700"
                  >
                    <!-- Modal header -->
                    <div
                      class="flex items-start justify-between p-4 border-b rounded-t dark:border-gray-600"
                    >
                      <!--Task Name-->
                      <h3
                        th:if="(listScheduleEvent != null)"
                        class="text-xl font-semibold text-gray-900 dark:text-white"
                        th:text="${dataScheduleEvent.getScheduleName()}"
                      >
                        Shalat Tahajud
                      </h3>
                      <!--close btn-->
                      <button
                        th:if="(listScheduleEvent != null)"
                        type="button"
                        class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center dark:hover:bg-gray-600 dark:hover:text-white"
                        th:attr="data-modal-hide='modal-default'+${dataScheduleEvent.getId()}"
                      >
                        <svg
                          aria-hidden="true"
                          class="w-5 h-5"
                          fill="currentColor"
                          viewBox="0 0 20 20"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            fill-rule="evenodd"
                            d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                            clip-rule="evenodd"
                          ></path>
                        </svg>
                        <span class="sr-only">Close modal</span>
                      </button>
                    </div>
                    <!-- Modal body -->
                    <form
                      th:if="(listScheduleEvent != null)"
                      th:action="@{/savepresensievent(scheduleEvent=${dataScheduleEvent.getId()})}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <div class="p-6 space-y-6">
                        <!--Task Description-->
                        <p
                          th:if="(listScheduleEvent != null)"
                          class="text-base leading-relaxed text-gray-500"
                          th:text="${dataScheduleEvent.getScheduleDescription()}"
                        >
                          Melakukan shalat tahajud setiap hari, absen shalat
                          tahajud dapat dilakukan mulai puku 1 sampai pukul 4
                          pagi.
                        </p>
                        <div class="my-1 p-0">
                          <label
                            for="note-123"
                            class="block mb-2 text-sm font-medium text-gray-900"
                            >Note</label
                          >
                          <textarea
                            th:if="(listScheduleEvent != null)"
                            id="note-1232"
                            name="description"
                            th:value="${dataScheduleEvent.getAbsenDescription()}"
                            th:text="${dataScheduleEvent.getAbsenDescription()}"
                            rows="4"
                            class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500"
                            placeholder="Write your notes here..."
                          ></textarea>
                        </div>
                        <div class="flex items-center my-1 p-0">
                          <input
                            th:if="(listScheduleEvent != null)"
                            id="done-1232"
                            name="status"
                            type="checkbox"
                            th:value="${dataScheduleEvent.getStatusAbsen().toString()}"
                            value="DONE"
                            class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2"
                          />
                          <label
                            for="done-123"
                            class="ml-2 text-sm font-medium text-gray-900"
                            >Done</label
                          >
                        </div>
                        <!--kalo dibutuhkan proof ditampilkan-->
                        <div
                          class="my-1 p-0"
                          th:if="${dataScheduleEvent.getUploadPicture().equals('AKTIF')}"
                        >
                          <label
                            class="block mb-2 text-sm font-medium text-gray-900"
                            for="proof-123"
                            >Upload Proof</label
                          >
                          <input
                            type="file"
                            name="fileUpload"
                            class="block w-full text-sm text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 focus:outline-none"
                            id="proof-1232"
                          />
                        </div>
                      </div>
                      <div
                        class="flex items-center p-6 space-x-2 border-t border-gray-200 rounded-b dark:border-gray-600"
                      >
                        <button
                          type="submit"
                          class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center"
                        >
                          Submit
                        </button>
                        <button
                          th:if="(listScheduleEvent != null)"
                          th:attr="data-modal-hide='modal-default'+${dataScheduleEvent.getId()}"
                          type="button"
                          class="text-gray-500 bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10"
                        >
                          Close
                        </button>
                      </div>
                    </form>
                    <!--end modal body-->
                  </div>
                </div>
              </div>
              <!--          End Modal Task Input-->
            </li>
          </ul>
          <!--      <a th:href="@{'/task/add'}" type="button" class="text-white bg-blue-700 hover:text-white hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 w-full text-center">Add Task</a>-->
        </div>
        <div th:replace="components/scoreboard :: scoreboard">scoreboard</div>
      </div>
    </div>
  </body>
</html>
